# Plutonium framework API: Plutonium/include/pu/ui/render/render_SDL2.hpp File Reference

render_SDL2.hpp File Reference
`#include <pu/ui/ui_Types.hpp>`
`#include <pu/sdl2/sdl2_Types.hpp>`

Go to the source code of this file.

## Namespaces

namespace | pu
namespace | pu::ui
namespace | pu::ui::render

## Functions

sdl2::Texture | pu::ui::render::ConvertToTexture (sdl2::Surface surface)
sdl2::Texture | pu::ui::render::LoadImage (const std::string &path)
i32 | pu::ui::render::GetTextureWidth (sdl2::Texture texture)
i32 | pu::ui::render::GetTextureHeight (sdl2::Texture texture)
void | pu::ui::render::SetAlphaValue (sdl2::Texture texture, const u8 alpha)
void | pu::ui::render::DeleteTexture (sdl2::Texture &texture)